Name:           lz4
Version:        1.9.4
Release:        2
Summary:        Extremely fast compression algorithm

License:        GPLv2+ and BSD
URL:            https://lz4.github.io/lz4/
Source0:        https://github.com/lz4/lz4/archive/v%{version}/%{name}-%{version}.tar.gz

Provides:       %{name}-libs = %{version}-%{release}
Obsoletes:      %{name} < 1.7.5-3
Obsoletes:      %{name}-libs

BuildRequires:	gcc 

%description
LZ4 is lossless compression algorithm, providing compression speed > 500 MB/s per
core (>0.15 Bytes/cycle). It features an extremely fast decoder, with speed in
multiple GB/s per core (~1 Byte/cycle). A high compression derivative, called
LZ4_HC, is available, trading customizable CPU time for compression ratio.

%package        devel
Summary:        Development files for lz4
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
Obsoletes:      %{name}-static

%description    devel
This package contains the header(.h) and library(.so/.a) files required to build
applications using liblz4 library.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1
cp %{_builddir}/%{name}-%{version}/lib/LICENSE %{_builddir}/%{name}-%{version}/LICENSE-lib

%build
export MOREFLAGS="-g -D_FORTIFY_SOURCE=2 -O2"
%make_build

%install
%make_install LIBDIR=%{_libdir} PREFIX=%{_prefix}

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license programs/COPYING
%doc NEWS
%license LICENSE
%license LICENSE-lib
%{_bindir}/lz4*
%{_bindir}/unlz4
%{_libdir}/liblz4.so.*

%files devel
%license lib/LICENSE
%{_includedir}/lz4*.h
%{_libdir}/liblz4.so
%{_libdir}/liblz4.a
%{_libdir}/pkgconfig/liblz4.pc

%files help
%{_mandir}/man1/lz4*
%{_mandir}/man1/unlz4.1*

%changelog
* Thu Feb 16 2023 zhangnan <zhangnan134@huawei.com> - 1.9.4-2
- add make check in spec

* Thu Jan 19 2023 Lv Ying <lvying6@huawei.com> - 1.9.4-1
- upgrade to 1.9.4-1

* Mon Jun 20 2022 renhongxun <renhongxun@h-partners.com> - 1.9.3-4
- add _FORTIFY_SOURCE add enable check

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.9.3-3
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Sat Jun 19 2021 shixuantong <shixuantong@huawei.com> - 1.9.3-2 
- fix CVE-2021-3520

* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 1.9.3-1
- upgrade version to 1.9.3

* Mon Dec 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.9.2-2
- fix abort in oss-fuzz round_trip_stream_fuzzer.c

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.9.2-1
- Package init
